<?php
function register_custom_categories_widget() {
    require_once Theme_ROOT_PATH . '/inc/widgets/PZY_Categories_Widget.php';
    require_once Theme_ROOT_PATH . '/inc/widgets/PZY_Latest_Posts_Widget.php';
    if (pzy_wc_enabled()){
        require_once Theme_ROOT_PATH . '/inc/widgets/PZY_Product_Categories_Widget.php';
        require_once Theme_ROOT_PATH . '/inc/widgets/PZY_Latest_Products_Widget.php';
    }


    register_widget( new PZY_Categories_Widget(
        'pzy_categories_block',
        __('دسته‌های پزشکیار', 'pezeshkyar'),
        array(
            'description' => __('نمایش دسته‌بندی ها', 'pezeshkyar')
        )
    ));

    register_widget( new PZY_Latest_Posts_Widget(
        'pzy_latest_posts_block',
        __('آخرین نوشته‌های پزشکیار', 'pezeshkyar'),
        array(
            'description' => __('نمایش جدیدترین نوشته‌ها با قابلیت انتخاب دسته‌بندی و چکیده مقاله', 'pezeshkyar'
            )
        )
    ));

    if (pzy_wc_enabled()){
        register_widget( new PZY_Product_Categories_Widget(
            'pzy_product_categories_block',
            __('دسته‌های محصولات پزشکیار', 'pezeshkyar'),
            array(
                'description' => __('نمایش دسته‌های محصولات', 'pezeshkyar')
            )
        ) );

        register_widget( new PZY_Latest_Products_Widget(
            'pzy_latest_products_block',
            __('آخرین محصولات پزشکیار', 'pezeshkyar'),
            array(
                'description' => __('نمایش جدیدترین محصولات با قابلیت انتخاب دسته‌بندی و توضیحات کوتاه محصول', 'pezeshkyar'
                )
            )
        ));
    }

}
add_action( 'widgets_init', 'register_custom_categories_widget',11 );